Subject: Re : Re: Re : Re: Re : Re: Re : Re: [EDUC]1ère version argumentaire LL<=> enseignement de l'informatique
From: [email-masked]
To: David Chemouil <[email-masked]>
Cc: [email-masked]
Date: Wed, 16 Oct 2013 14:58:26 +0200 (CEST)
List-Id: <educ.april.org>

----- David Chemouil <[email-masked]> a écrit :
> Hello
> 
> Le 16/10/2013 11:21, [email-masked] a écrit :
> > Mais il importe avant tout de nous débarrasser de l'idée de "produit logiciel"
> > qui nous force à entrer dans un raisonnement par analogie avec les biens
> > physiques.
> >
> [snip]

Re David,

Je ne trouve rien à redire à ton post, et partage même ta critique sur 
ESR à laquelle je répondrai plus bas, parce que j'y adhère.

> Je suis ennuyé par ton mail : je suis d'accord avec plein de choses. 
> Plein de choses me font aussi réagir. Et je me retrouve à ne pas savoir 
> vraiment répondre "point par point". Mon sentiment général est celui 
> d'une sorte de déconnexion entre ces arguments et l'enseignement en 
> pratique, en tout cas celui de ma pratique et de gens autour de moi.
> 
> Précisément, j'essaie d'enseigner principalement des concepts qui 
> durent, des moyens d'appréhender des situations, des théorisations 
> "robustes" (c-à-d qui s'adaptent bien à un changement -souvent apparent- 
> de cadre), à prendre du recul, à pouvoir continuer à apprendre, à avoir 
> un regard critique. Par exemple : apprendre à penser en termes récursifs 
> ; montrer en quoi il n'existe que des langages typés et que les 
> "langages dynamiques" constituent au mieux une incompréhension du 
> typage, au pire une imposture marketing ; distinguer la spécification de 
> l'implémentation ; apprendre à raisonner logiquement ; voir comme de 
> nombreux problèmes se traduisent en problèmes de langage (et donc de 
> compilation et théorie des langages), etc.

Il n'y a pas de déconnexion. Nos contextes ne sont pas les mêmes.
Tu enseignes la science informatique dans un milieu de recherche universitaire.
Les principes de la science informatique des pères fondateurs restent
toujours valables aujourd'hui. Pour autant, ils restent réservés à
une élite en ce qu'ils n'entrent pas dans le cursus secondaire 
pour constituer une culture commune informatique.

Le rapport de l'inspection générale sur le numérique commandité par Peillon n'a 
pas pour objet de répondre à la question des contenus d'un enseignement
de l'informatique et du numérique, mais de comment développer un marché
français et européen du numérique éducatif estimé, dans le point d'étape du
rapport sur la stratégie numérique de Peillon,  aux Etats-Unis, à un milliard d'Euros.

On est en plein informatique et numérique comme "produits", comme marché.
De ce fait "travailler avec le numérique" ne signifie un apprentissage de pair
à pair où les professeurs et les élèves produisent du savoir, mais dans
une approche où ils doivent consommer des "produits" numériques privateurs.

On a donc là deux modèles pédagogiques, deux modèles d'enseignement
complètement opposés.

> Concernant ESR, je m'étonne que tu ne tiennes pas compte "d'où il 
> parle". 

Ce n'était pas le but de mon propos. Je me suis référé à un texte que la plupart
d'entre nous connaissent et donc auquel je peux me référencer. Le logiciel
propriétaire induit un mode de production segmenté du logiciel réflexif de 
son utilisation dans l'éducation nationale.

En ce sens, même si enseigner l'informtique ou enseigner les logiciels libres
sont strictement équivalents, ce n'est pas du tout le même environnement,
le même cas de figure avec un apprentissage, comme c'est le cas dans de
nombreux IUT, privateurs. 

> Ses textes sont frappants, c'est vrai, mais enfin c'est un type 
> qui défend une certaine position politique

Je ne fais pas l'apologie du Libertarianism. On est totalement d'accord
sur les positions politiques de ce type qui plus est, fondateur du
mouvement open source.

> qui a intérêt à ce que le LL 
> apparaisse comme bazar et le proprio comme cathédrale (enfin, leurs 
> modèles de développement). En ce sens, oui il est proche de la démarche 
> de Popper qui a quand même largement construit son critère dans 
> l'objectif d'exclure certaines disciplines du champ du savoir. Position 
> idéologique donc... Ceci dit : pourquoi pas, s'il n'avançait pas cachée 
> sous couvert d'objectivité ?

Pardonne-mon inculture sur ce point précis. J'ai lu Popper et je m'y suis
plus d'une fois référé pour appuyer par des références communes la critique
du raisonnement par induction, mais je ne savais pas qu'il avait exclu
des disciplines du champ du savoir.

Librement,
Charlie

--
Pour gérer votre abonnement à la liste educ et vos informations personnelles :
http://listes.april.org/wws/info/educ